# Generated by Django 4.2.17 on 2025-01-31 18:29
from django.core.cache import cache
from django.db import migrations


def keep_old_default(apps, schema_editor):
    Event = apps.get_model("pretixbase", "Event")
    EventSettingsStore = apps.get_model("pretixbase", "Event_SettingsStore")

    for e in Event.objects.filter(plugins__contains="pretix_zugferd"):
        EventSettingsStore.objects.get_or_create(
            object=e, key="zugferd_include_delivery_date", defaults={"value": "False"}
        )
        cache.delete("hierarkey_{}_{}".format("event", e.pk))


class Migration(migrations.Migration):
    dependencies = [("pretixbase", "0246_bigint")]

    operations = [migrations.RunPython(keep_old_default, migrations.RunPython.noop)]
